#include "globus_toolkit.h"

void globus_endpoint_setup(globus_nexus_endpoint_t *ep,globus_nexus_handler_t *handler_table, int size)
{
  globus_nexus_endpointattr_t epattr;
			   
			   
  /* first set up the endpoint with my functions in it */
  /* this will allow the created process to contact me and */
  /* give me his startpoint */
  globus_nexus_endpointattr_init(&epattr);
  globus_nexus_endpointattr_set_handler_table(&epattr, handler_table, size);

  /* we will add this later, when we find some use for it */
  
  /* globus_nexus_endpointattr_set_unknown_handler(&epattr, */
  /*                                               unknown_handler, */
  /*                        GLOBUS_NEXUS_HANDLER_TYPE_NON_THREADED);*/
  
  globus_nexus_endpoint_init(ep, &epattr);
}

